Read Metric Source Metrics
curl --request GET \
--url https://statsigapi.net/console/v1/metrics/metric_source/{name}/metrics \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/metrics/metric_source/{name}/metrics"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/metrics/metric_source/{name}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"name": "metricName",
"type": "sum",
"directionality": "increase",
"id": "metricId",
"lineage": {
"events": [
"event1",
"event2"
],
"metrics": [
"metric1",
"metric2"
]
},
"isVerified": false,
"isReadOnly": false,
"unitTypes": [
"stableID",
"userID"
],
"metricEvents": [
{
"name": "event1",
"type": "value"
}
],
"metricComponentMetrics": [],
"description": "the description of this metric",
"tags": [
"tag1",
"tag2"
],
"isPermanent": false,
"rollupTimeWindow": "custom",
"customRollUpStart": 1,
"customRollUpEnd": 1,
"funnelEventList": [
{
"name": "event1",
"type": "event_dau"
}
],
"warehouseNative": {
"metricSourceName": "<string>",
"criteria": [
{
"column": "<string>",
"values": [
"<string>"
],
"nullVacuousOverride": true
}
],
"waitForCohortWindow": true,
"denominatorCriteria": [
{
"column": "<string>",
"values": [
"<string>"
],
"nullVacuousOverride": true
}
],
"denominatorCustomRollupEnd": 123,
"denominatorCustomRollupStart": 123,
"denominatorMetricSourceName": "<string>",
"denominatorRollupTimeWindow": "<string>",
"denominatorValueColumn": "<string>",
"funnelCalculationWindow": 123,
"funnelEvents": [
{
"criteria": [
{
"column": "<string>",
"values": [
"<string>"
],
"nullVacuousOverride": true
}
],
"metricSourceName": "<string>",
"name": "<string>",
"sessionIdentifierField": "<string>"
}
],
"metricDimensionColumns": [
"<string>"
],
"metricBakeDays": 123,
"valueColumn": "<string>",
"winsorizationHigh": 0.5,
"winsorizationLow": 0.5,
"cupedAttributionWindow": 123,
"onlyIncludeUsersWithConversionEvent": true,
"percentile": 123,
"valueThreshold": 123,
"cap": 123,
"rollupTimeWindow": "<string>",
"customRollUpStart": 123,
"customRollUpEnd": 123,
"allowNullRatioDenominator": true
},
"team": "<string>",
"teamID": "<string>",
"dryRun": true,
"isHidden": false,
"creatorName": "creatorName",
"creatorEmail": "creatorEmail",
"createdTime": 1716230400,
"lastModifierID": "<string>",
"lastModifiedTime": 123,
"lastModifierEmail": "<string>",
"lastModifierName": "<string>",
"owner": {
"name": "ownerName"
}
}
],
"pagination": {
"itemsPerPage": 123,
"pageNumber": 123,
"nextPage": "<string>",
"previousPage": "<string>",
"totalItems": 123,
"all": "<string>"
}
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}Metrics (Warehouse Native)
Read Metric Source Metrics
GET
/
console
/
v1
/
metrics
/
metric_source
/
{name}
/
metrics
Read Metric Source Metrics
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
name
Response
Read metric source metrics response
⌘I

